org.eclipse.mat.hprof

## Class HprofPlugin

- java.lang.Object
- - Plugin
  - - org.eclipse.mat.hprof.HprofPlugin

    public class HprofPlugin
    extends Plugin

### Constructor Summary

Constructors
Constructor and Description
`HprofPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static HprofPlugin` `getDefault()`
`Object` `getPreferenceStore()` Lazily load and return the preference store.
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HprofPlugin

    public HprofPlugin()

### Method Detail

#### start

    public void start(BundleContext context)
               throws Exception

Throws:
  `Exception`

#### stop

    public void stop(BundleContext context)
              throws Exception

Throws:
  `Exception`

#### getDefault

    public static HprofPlugin getDefault()

#### getPreferenceStore

    public Object getPreferenceStore()

Lazily load and return the preference store.

Returns:
  Current preference store.